# Uses of Class
com.databricks.jdbc.model.telemetry.TelemetryFrontendLog

Packages that use TelemetryFrontendLog
Package
Description
com.databricks.jdbc.model.telemetry
com.databricks.jdbc.telemetry

## Uses of TelemetryFrontendLog in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return TelemetryFrontendLog
Modifier and Type
Method
Description
`TelemetryFrontendLog`
TelemetryFrontendLog.`setContext(FrontendLogContext context)`
`TelemetryFrontendLog`
TelemetryFrontendLog.`setEntry(FrontendLogEntry entry)`
`TelemetryFrontendLog`
TelemetryFrontendLog.`setFrontendLogEventId(String frontendLogEventId)`
`TelemetryFrontendLog`
TelemetryFrontendLog.`setWorkspaceId(Long workspaceId)`

## Uses of TelemetryFrontendLog in com.databricks.jdbc.telemetry

Methods in com.databricks.jdbc.telemetry with parameters of type TelemetryFrontendLog
Modifier and Type
Method
Description
`void`
ITelemetryClient.`exportEvent(TelemetryFrontendLog event)`
Exports a telemetry event to the backend service.
`void`
NoopTelemetryClient.`exportEvent(TelemetryFrontendLog event)`
`void`
TelemetryClient.`exportEvent(TelemetryFrontendLog event)`